Package org.apache.tomcat.util.net

## Class NioEndpoint.SocketProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.SocketProcessorBase<NioChannel>
  - - org.apache.tomcat.util.net.NioEndpoint.SocketProcessor

All Implemented Interfaces:
  `java.lang.Runnable`

Enclosing class:
  NioEndpoint

    protected class NioEndpoint.SocketProcessor
    extends SocketProcessorBase<NioChannel>

This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

### Field Summary

### Fields inherited from class org.apache.tomcat.util.net.SocketProcessorBase

`event, socketWrapper`

### Constructor Summary

Constructors
`SocketProcessor​(SocketWrapperBase<NioChannel> socketWrapper, SocketEvent event)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doRun()`

### Methods inherited from class org.apache.tomcat.util.net.SocketProcessorBase

`reset, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketProcessor

    public SocketProcessor​(SocketWrapperBase<NioChannel> socketWrapper,
                           SocketEvent event)

### Method Detail

#### doRun

    protected void doRun()

Specified by:
  `doRun` in class `SocketProcessorBase<NioChannel>`